/*
 * Indirizzi di salvataggio in EEPROM interna
*/

// Variabili utente
#define EE_VOLUME_ADDRESS       0x00
#define EE_BALANCE_ADDRESS      0x01
#define EE_INPUT_SEL_ADDRESS    0x02    
#define EE_ZCEN_ADDRESS         0x03
#define EE_INPUT_TRIM_ADDRESS   0x04  // trim input 1
//0x05                                // trim input 2          
//0x06                                // trim input 3  
//0x07                                // trim input 4  
//0x08                                // trim input 5  
//0x09                                // trim input 6
#define EE_CONTRAST_ADDRESS     0x0A
#define EE_REMOTE_TYPE_ADDRESS  0x0B
#define EE_INPUT_NAME_ADDRESS   0x0C  // nome input 1
//0x0D                                // nome input 2  
//0x0E                                // nome input 3
//0x0F                                // nome input 4
//0x10                                // nome input 5
//0x11                                // nome input 6

// Comandi IR, 11 byte per comandi, ne assegno comunque 16
#define EE_IR_POWER_ADDRESS     0x20
#define EE_IR_VOLUME_P_ADDRESS  0x30
#define EE_IR_VOLUME_M_ADDRESS  0x40
#define EE_IR_INPUT_ADDRESS     0x50
#define EE_IR_MENU_ADDRESS      0x60
#define EE_IR_EXIT_ADDRESS      0x70

#define EE_FIRST_START_ADDRESS  0xDA

// Debug
//#define EE_RCON_ADDRESS                 0xDB
#define EE_IR_RECEIVED_ADDRESS          0xE0 
#define EE_IR_DECODED_ADDRESS           0xF0        // salvato in routine di decodifica comnando ad avvenuta ricezione   
//#define EE_IR_COMMAND_ADDRESS           0xF1        // salvato in routune di accensione e spegnimento. EE_IR_DECODED e EE_IR_COMMAND devono essere uguali in accensione e spegnimento
//#define EE_IR_STATUS_ADDRESS            0xF2
//#define EE_FLAG_TO_P_ON_ADDRESS         0xF3
//#define EE_FLAG_TO_P_OFF_ADDRESS        0xF4
//#define EE_MODE_ADDRESS                 0xF4
//#define EE_ENCODER_ADDRESS              0xF6
//#define EE_FLAG_OV_ADDRESS              0xF7